<template>
  <header>
    <div class="headbar">
      <div class="title">
        <i class="fa fa-align-right"></i> <strong>{{$route.name}}</strong>
      </div>
      <div>
        <img src="../assets/user.jpeg" width="30">
        <strong class="user-name">Laura Vanessa</strong>
      </div>
    </div>

    <nav id="horizontal-navbar">
      <ul>
        <li><router-link to="/"><i class="fa fa-users fa-sm"></i> Users</router-link></li>
        <li><router-link to="/about"><i class="fa fa-info-circle fa-sm"></i> About</router-link></li>
      </ul>
    </nav>
  </header>
</template>

<style lang="scss">
$primary: #0054FE;

header {
  margin-bottom: 40px;

  .headbar {
    font-size: 0.8rem;
    background: white;
    padding: 20px 50px;
    display: flex;
    justify-content: space-between;

    img {
      border-radius: 50%;
      vertical-align: middle;
      margin-right: 10px;
    }

    .title {
      display: flex;
      align-items: center;

      .fa {
        margin-right: 5px;
      }
    }
  }

  #horizontal-navbar {
    display: none;
    justify-content: center;

    ul {
      list-style-type: none;
      margin: 0;
      padding: 0;
      overflow: hidden;
    }

    li {
      float: left;
    }

    a {
      display: block;
      text-align: center;
      padding: 16px;
    }
  }

  @media (max-width: 768px) {
    .headbar {
      padding: 10px 15px;
    }

    #horizontal-navbar {
      display: flex;
    }
  }

}
</style>
